<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Chat Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-slots">Private Slots</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classChat-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Chat Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="Chat_8h_source.html">Chat.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Chat:</div>
<div class="dyncontent">
<div class="center"><img src="classChat__inherit__graph.png" border="0" usemap="#Chat_inherit__map" alt="Inheritance graph"/></div>
<map name="Chat_inherit__map" id="Chat_inherit__map">
<area shape="rect" title=" " alt="" coords="5,131,165,296"/>
<area shape="rect" title=" " alt="" coords="46,5,125,83"/>
</map>
</div>
<div class="dynheader">
Collaboration diagram for Chat:</div>
<div class="dyncontent">
<div class="center"><img src="classChat__coll__graph.png" border="0" usemap="#Chat_coll__map" alt="Collaboration graph"/></div>
<map name="Chat_coll__map" id="Chat_coll__map">
<area shape="rect" title=" " alt="" coords="5,131,165,296"/>
<area shape="rect" title=" " alt="" coords="46,5,125,83"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aaf0559c8de503bdc5972b94e8567d662"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classChat.html#aaf0559c8de503bdc5972b94e8567d662">Chat</a> (QWidget *parent=nullptr)</td></tr>
<tr class="separator:aaf0559c8de503bdc5972b94e8567d662"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab694996aa607aa60bdd14b84e481688b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classChat.html#ab694996aa607aa60bdd14b84e481688b">~Chat</a> ()</td></tr>
<tr class="separator:ab694996aa607aa60bdd14b84e481688b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-slots"></a>
Private Slots</h2></td></tr>
<tr class="memitem:a737ea00a4565fa18c1ee9f7d0f2a56c5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classChat.html#a737ea00a4565fa18c1ee9f7d0f2a56c5">showMessages</a> ()</td></tr>
<tr class="separator:a737ea00a4565fa18c1ee9f7d0f2a56c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d32218e33e5020838b619e27cb07909"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classChat.html#a5d32218e33e5020838b619e27cb07909">sendMessage</a> ()</td></tr>
<tr class="separator:a5d32218e33e5020838b619e27cb07909"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ada2103e14285ec9dd588eca5e162aa31"><td class="memItemLeft" align="right" valign="top">Ui::Chat *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classChat.html#ada2103e14285ec9dd588eca5e162aa31">ui</a></td></tr>
<tr class="separator:ada2103e14285ec9dd588eca5e162aa31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7954ee57f1a5806e33fbd58a81f5244"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classChat.html#af7954ee57f1a5806e33fbd58a81f5244">m_sendingMessage</a></td></tr>
<tr class="separator:af7954ee57f1a5806e33fbd58a81f5244"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0118e51f269416fc24e9979c93248c2"><td class="memItemLeft" align="right" valign="top">QStringListModel *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classChat.html#af0118e51f269416fc24e9979c93248c2">chatModel</a></td></tr>
<tr class="separator:af0118e51f269416fc24e9979c93248c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f511033e9ee496831c53a26e3f2dad1"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classChat.html#a0f511033e9ee496831c53a26e3f2dad1">m_username</a></td></tr>
<tr class="separator:a0f511033e9ee496831c53a26e3f2dad1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aaf0559c8de503bdc5972b94e8567d662"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf0559c8de503bdc5972b94e8567d662">&#9670;&nbsp;</a></span>Chat()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Chat::Chat </td>
          <td>(</td>
          <td class="paramtype">QWidget *&#160;</td>
          <td class="paramname"><em>parent</em> = <code>nullptr</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab694996aa607aa60bdd14b84e481688b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab694996aa607aa60bdd14b84e481688b">&#9670;&nbsp;</a></span>~Chat()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Chat::~Chat </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a5d32218e33e5020838b619e27cb07909"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d32218e33e5020838b619e27cb07909">&#9670;&nbsp;</a></span>sendMessage</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Chat::sendMessage </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a737ea00a4565fa18c1ee9f7d0f2a56c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a737ea00a4565fa18c1ee9f7d0f2a56c5">&#9670;&nbsp;</a></span>showMessages</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Chat::showMessages </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="af0118e51f269416fc24e9979c93248c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af0118e51f269416fc24e9979c93248c2">&#9670;&nbsp;</a></span>chatModel</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QStringListModel* Chat::chatModel</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af7954ee57f1a5806e33fbd58a81f5244"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7954ee57f1a5806e33fbd58a81f5244">&#9670;&nbsp;</a></span>m_sendingMessage</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Chat::m_sendingMessage</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0f511033e9ee496831c53a26e3f2dad1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f511033e9ee496831c53a26e3f2dad1">&#9670;&nbsp;</a></span>m_username</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString Chat::m_username</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ada2103e14285ec9dd588eca5e162aa31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada2103e14285ec9dd588eca5e162aa31">&#9670;&nbsp;</a></span>ui</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Ui::Chat* Chat::ui</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>frontend/src/lib/Chat/<a class="el" href="Chat_8h_source.html">Chat.h</a></li>
<li>frontend/src/lib/Chat/<a class="el" href="Chat_8cpp.html">Chat.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
